# Cancel a purchased domain (https://developer.godaddy.com/en/docs/references/rest/domains/v1/cancel)

---
title: Cancel a purchased domain
description: >-
  Cancels a purchased domain and initiates a refund if within the cancellation
  window.
full: true
---

Full description

Cancels a purchased domain and initiates a refund if within the cancellation window. This action is irreversible.

## DELETE /v1/domains/{domain}

Cancel a purchased domain

Cancels a purchased domain and initiates a refund if within the cancellation window. This action is irreversible.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `domain` | string | yes | Domain to cancel |

### Responses

**200** — Request was successful

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**404** — The domain does not exist

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — - Unknown domain error
- At least two apex (aka @) `nameServers` must be specified

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**Security:** requires `bearerAuth`.
